Subject: Re: bug#53013: 29.0.50; xwidget-webkit: SIGCHLD not being caught after xwidget-webkit buffer killed

From: Richard Stallman <[email-masked]>
Date: Fri, 07 Jan 2022 22:58:54 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I'm not talking about replacing Emacs's own code with GLib's system
  > entirely, but just relying on GLib to tell us when a process exits,
  > instead of installing our own SIGCHLD handler.

I don't know enough to have an opinion in detail, but on general
principles I suggest that we fix our own code.  Depending on an
external package for little bits of Emacs is asking for trouble.  Our
code can have bugs, and the Glib code can have bugs, but if our
code has bugs, there is no obstacle to our using a fixed version.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)